extends Node

signal next_quick_slot
signal previous_quick_slot
signal select_quick_slot(slot_index: int)
signal quick_slot_item_changed(item_id: String)
signal item_picked_up(item_id: String, amount: int)

var quick_slot_item_id: String = "001"


func _ready() -> void:
	self.quick_slot_item_changed.connect(_on_quick_slot_item_changed.bind())


func _on_quick_slot_item_changed(item_id: String) -> void:
	quick_slot_item_id = item_id
